simulate_crash_mac.h File Reference
`#include <mach/mach.h>`
`#include "util/misc/capture_context.h"`

## Namespaces

| crashpad
| The main namespace.

## Macros

#define | CRASHPAD_SIMULATE_CRASH()
| Captures the CPU context and simulates an exception without crashing. More...

## Functions

void | crashpad::SimulateCrash (const NativeCPUContext &cpu_context)
| Simulates a exception without crashing. More...

## Macro Definition Documentation

## CRASHPAD_SIMULATE_CRASH

#define CRASHPAD_SIMULATE_CRASH | ( |  | ) |

Value:
do { \
crashpad::NativeCPUContext cpu_context; \
crashpad::CaptureContext(&cpu_context); \
crashpad::SimulateCrash(cpu_context); \
} while (false)

Captures the CPU context and simulates an exception without crashing.